precision mediump float;

uniform sampler2D sampler_blur;
uniform float u_mult;
uniform float u_saturation;

varying vec2 blurCoordinates[5];
 
void main() {
	lowp vec4 sum = vec4(0.0);
	//sum += texture2D(sampler_blur, blurCoordinates[0]);
	sum += texture2D(sampler_blur, blurCoordinates[1]);
	sum += texture2D(sampler_blur, blurCoordinates[2]);
	sum += texture2D(sampler_blur, blurCoordinates[3]);
	sum += texture2D(sampler_blur, blurCoordinates[4]);

	sum.rgb *= u_mult;

 	const lowp vec3 W = vec3(0.2125, 0.7154, 0.0721);
    lowp vec3 intensity = vec3(dot(sum.rgb, W));
    sum.rgb = mix(intensity, sum.rgb, u_saturation);	

	sum.a = 1.0;
	gl_FragColor = sum; 
}